/*==============================================================================
 *
 * $Id: files.h,v 1.3 2004/07/15 13:16:31 Olivier Exp $
 *
 * - GhostBuster for TI89 Titanium -
 * Copyright (C) 2004 Olivier Armand  <ola dot e-ml at wanadoo dot fr>
 *                and Kevin Kofler <kevin dot kofler at chello dot at>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * In addition, as a special exception, Olivier Armand and Kevin Kofler give
 * permission to link the code of this program with the ttunpack decompression
 * library by the TI-Chess Team, and distribute linked combinations including
 * the two. You must obey the GNU General Public License in all respects for
 * all of the code used other than the ttunpack decompression library. If you
 * modify this program, you may extend this exception to your version of the
 * program, but you are not obligated to do so. If you do not wish to do so,
 * delete this exception statement from your version.
 *
 *==============================================================================*/

#ifndef FILES_H
#define FILES_H

#include <tigcclib.h>

typedef enum {PRGM_KERNEL, PRGM_NOSTUB, PRGM_PPG, PRGM_OTHER, PRGM_NULL} PRGM_T;

void PatchLoopInit(void);
PRGM_T CheckFile(HANDLE handle);
PRGM_T GetNextFile(void);
unsigned char *PatchAlloc(PRGM_T prgm_type, unsigned long *prgm_len);
void FinalizePatch(BOOL patched);

#endif	/* not FILES_H */
